VisualEditor: Link input widget is not oriented for RTL
Closed, ResolvedPublic

Description

A very simple mockup that I made in GIMP to show how it is supposed to look

VisualEditor: Link inspector is not oriented for RTL.

The arrow icon is supposed to point to the right, and be placed in the right corner, separated by a vertical line.

The title is supposed to be aligned to the right.

The chain icon is supposed to be next to the title on its left side.

The trash bin is supposed to be in the left corner.

See the attached file for a very simple mock-up of how it is supposed to look (it is off by a few pixels here and there - I'm not much of a graphic designer).

This bug is similar to bug 49613.


Version: unspecified
Severity: normal

attachment link-inspector-rtl.png ignored as obsolete

bzimport set Reference to bz50490.
Amire80 created this task.Via LegacyJul 1 2013, 9:16 AM
Amire80 added a comment.Via ConduitJul 1 2013, 9:19 AM

Created attachment 12713
A simple mockup that I made in GIMP to show how it is supposed to look

The V icon in the menu is supposed to be moved to the right side, too.

Updated screenshot.

Attached:

Mooeypoo added a comment.Via ConduitJul 2 2013, 4:59 AM

This depends on the Frame rtl fix, which will add directionality inside frames, and allow for conditional flips (and/or also allow CSSJanus to eventually work inside the frames)

I took a look at the code, the flip itself is relatively easy, but I am missing the ve-rtl/ve-ltr classes that would be there after the frame fix.

gerritbot added a comment.Via ConduitJul 4 2013, 11:43 PM

Change 72056 had a related patch set uploaded by Mooeypoo:
Layout fix for Link Surface in RTL

https://gerrit.wikimedia.org/r/72056

gerritbot added a comment.Via ConduitJul 10 2013, 7:10 PM

Change 72056 abandoned by Mooeypoo:
Layout fix for Link Surface in RTL

Reason:
This was fixed in another (much more massive) gerrit fix that was merged. Works in master.

https://gerrit.wikimedia.org/r/72056

jayvdb added a comment.Via ConduitJul 21 2013, 10:20 PM

En layout is currently:

< (chain icon) 'Hyperlink' (trash icon)

He layout is currently:

(trash icon) '(Hyperlink in Hebrew)' (chain icon) >

This is not quite Amir's design attached:

(trash icon) (chain icon) '(Hyperlink in Hebrew)' >

Amire80 added a comment.Via ConduitJul 22 2013, 12:15 PM

The current layout is good. There's a mistake in my image. Marking as FIXED.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.